<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Formulario de contacto</title>

<style type="text/css">
body {
	font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
	font-size: 14px;
	margin: 0;
}
.campo {
	border: 1px solid #999;
	background-color: #EFEFEF;
	width: 300px;
}
.spam {
	border: 1px solid #999;
	background-color: #EFEFEF;
	width: 100px;
	margin-right: 5px;
}
.boton {
	margin-top:10px;
	display:block;
	border:1px solid #000000;
	width:100px;
	height:20px;
	font-family:Verdana, Arial, Helvetica, sans-serif;
	font-size:11px;
	padding: 0 2px 2px 2px;
	line-height:14px;
	background-color:#EFEFEF;
}
#error {
	border:1px solid #990000;
	background-color:#D70000;
	color:#FFFFFF;
	padding:4px;
	padding-left:6px;
	width:295px;
	font-weight: bold;
}
</style>
<!-- INICIO DE VALIDACION DE CAMPOS -->
<script language="JavaScript">
<!--//
	function revisando_correo(str){
		var filter=/^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
		if (filter.test(str)){	return true;	}else{		return false;	}
	}
	function formulariodecontacto(){
		if (document.contacto.correo.value==""){ 
			alert("Por favor ingrese su correo."); 
			document.contacto.correo.select();
			return false;
		}
			if (document.contacto.asunto.value==""){ 
			alert("Por favor ingrese un asunto."); 
			document.contacto.asunto.select();
			return false;
		}
		if (document.contacto.antispam.value==""){ 
			alert("Por favor ingrese el código antispam."); 
			document.contacto.antispam.select();
			return false;
		}
		if (document.contacto.mensaje.value==""){ 
			alert("Por favor ingrese su mensaje."); 
			document.contacto.mensaje.select();
			return false;
		}
		if (revisando_correo(document.contacto.correo.value)==false){	
			alert("Por favor asegúrese de que su dirección de correo sea la correcta."); 
			document.contacto.correo.select();
			return false; 
		}
		return true;
	}
// -->
</script>
<!-- FIN DE VALIDACION DE CAMPOS -->
</head>

<body>
<div style="margin:auto; width: 310px;">
<br />
<form action="proceso.php" method="post" name="contacto" onSubmit="return formulariodecontacto()">

Su e-mail:<br />
<input name="correo" type="text" class="campo" id="correo" value="<?php echo $_GET['correo'];?>" /><br /><br />

Asunto:<br />
<input name="asunto" type="text" class="campo" id="asunto" value="<?php echo $_GET['asunto'];?>" /><br /><br />

Código antispam:<br />
<input name="antispam" type="text" class="spam" id="antispam" />
<img src="imagen.php?<?php echo rand(0,9999);?>" alt="Código antispam" width="50" height="24" align="absbottom" /><br /><br />
	<?php if(isset($_GET['codigo_incorrecto'])){?>
        <div id="error">Código antispam incorrecto</div><br />
    <?php ;}?>

Mensaje:<br />
<textarea name="mensaje" cols="6" rows="5" class="campo" id="mensaje"><?php echo $_GET['mensaje'];?></textarea>

<input name="Submit" type="submit" class="boton" value=" Envíar Mensaje " />
</form>
</div>

</body>
</html>